%define with_maven 0
Name:          jas-plotter
Version:       2.2.1
Release:       %mkrel 1
Summary:       FreeHEP JAS(2) Plotter
Group:         Development/Java
License:       LGPL
Url:           http://java.freehep.org/jas-plotter/
# svn checkout svn://svn.freehep.org/svn/freehep/tags/jas-plotter-2.2.1 jas-plotter
# tar czf jas-plotter-2.2.1-src-svn.tar.gz jas-plotter
Source0:       jas-plotter-%{version}-src-svn.tar.gz
Source1:       jas-plotter-%{version}-autogeneratedfiles.tar.gz
Patch0:        jas-plotter-noparent.patch
BuildRequires: freehep-export
BuildRequires: freehep-swing
BuildRequires: freehep-util
BuildRequires: java-devel
BuildRequires: java-javadoc
BuildRequires: javahelp2
BuildRequires: junit
BuildRequires: jpackage-utils
%if !%with_maven
BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: hamcrest
%else
BuildRequires: maven
BuildRequires: maven-ant-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-wagon
%endif
BuildRequires: netbeans-platform
BuildRequires: xerces-j2
BuildRequires: xml-commons-apis
Requires:      freehep-export
Requires:      jpackage-utils
BuildArch:     noarch

%description
FreeHEP JAS(2) Plotter.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
FreeHEP JAS(2) Plotter.

This package contains javadoc for %{name}.

%prep
%setup -q -n jas-plotter

%patch0 -p0

%if !%with_maven
tar xf %{SOURCE1}
cp -pr pom.xml target/classes/META-INF/maven/org.freehep/jas-plotter
%endif

%build
export MAVEN_REPO_LOCAL=$PWD/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL
%if %with_maven

  mvn-jpp \
    install:install-file \
    -DgroupId=org.apache.maven.wagon \
    -DartifactId=wagon-ssh-external \
    -Dversion=RELEASE \
    -Dpackaging=jar \
    -Dfile=$(build-classpath maven-wagon/ssh-external) \
    -Dmaven.repo.local=$MAVEN_REPO_LOCAL

  mvn-jpp \
    install:install-file \
    -DgroupId=org.netbeans \
    -DartifactId=openide-lookup \
    -Dversion=6.9.1 \
    -Dpackaging=jar \
    -Dfile=/usr/share/netbeans/platform12/lib/org-openide-util-lookup.jar \
    -Dmaven.repo.local=$MAVEN_REPO_LOCAL

  mvn-jpp \
    install:install-file \
    -DgroupId=javax.help \
    -DartifactId=javahelp \
    -Dversion=2.0.02 \
    -Dpackaging=jar \
    -Dfile=$(build-classpath javahelp2) \
    -Dmaven.repo.local=$MAVEN_REPO_LOCAL

  mvn-jpp \
    install:install-file \
    -DgroupId=org.apache.maven.plugins \
    -DartifactId=maven-ant-plugin \
    -Dversion=2.3 \
    -Dpackaging=jar \
    -Dfile=$(build-classpath maven-ant-plugin) \
    -Dmaven.repo.local=$MAVEN_REPO_LOCAL

  mvn-jpp \
    -e \
    -Dmaven2.jpp.mode=true \
    -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
    -Dmaven.test.skip=true \
    ant:ant install javadoc:javadoc

%else
  export CLASSPATH=""
  CLASSPATH=$CLASSPATH:$(build-classpath javahelp2 xerces-j2 xml-commons-apis freehep-export freehep-swing freehep-swing)
  CLASSPATH=$CLASSPATH:$(build-classpath hamcrest/core):/usr/share/netbeans/platform12/lib/org-openide-util-lookup.jar
  CLASSPATH=$CLASSPATH:$(build-classpath junit ant/ant-junit):target/classes:target/test-classes
  ant \
    -Duser.home=$PWD \
    -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
    -Dmaven.test.skip=true \
    -Dmaven.settings.offline=true \
    -Dmaven.settings.interactiveMode=false \
    -Dbuild.sysclasspath=first \
    jar javadoc

%endif

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 target/jas-plotter-%{version}.jar %{buildroot}%{_javadir}

install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-jas-plotter.pom
%add_to_maven_depmap org.freehep jas-plotter %{version} JPP jas-plotter

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/jas-plotter-%{version}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/jas-plotter-%{version}
ln -sf jas-plotter-%{version}  %{buildroot}%{_javadocdir}/jas-plotter

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/jas-plotter-%{version}.jar
%{_javadir}/jas-plotter.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/jas-plotter-%{version}
%{_javadocdir}/jas-plotter



%changelog
* Wed Jul 27 2011 dmorgan <dmorgan> 2.2.1-1.mga2
+ Revision: 129961
- Clean spec file

  + gil <gil>
    - imported package jas-plotter


* Tue May 31 2011 gil <gil> 2.2.1-0.%%mkrel
- initial rpm
